Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.variation.driver
Interface IndividualAdaptor

All Superinterfaces:
  Adaptor, java.rmi.Remote

public interface IndividualAdaptor
extends Adaptor

This adaptor provides database connectivity for Individual objects. Individuals may be retrieved from the ensembl variation database by several means using this module.

Author:
  Craig Melsopp

Field Summary
`static java.lang.String` | `TYPE`

Method Summary
`java.util.List` | `fetch(Individual parent)` Retrieves all individuals which are children of a provided parent individual.
`Individual` | `fetch(long internalID)` Retrieves an individual via its internal identifier.
`java.util.List` | `fetch(long[] internalIDs)` Fetch Individuals by internal ids.
`java.util.List` | `fetch(Population population)` Retrieves all individuals from a specified population
`java.util.List` | `fetch(java.lang.String name)` Retrieves all individuals with the specified name.
`java.util.List` | `fetchPopulations(Individual individual)` Fetch the populations that the individual belongs to.

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Method Detail

### fetch

    public Individual fetch(long internalID)
                     throws AdaptorException

  Retrieves an individual via its internal identifier.

  Returns:
    Individual with specified internalID or null if none found.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(long[] internalIDs)
                         throws AdaptorException

  Fetch Individuals by internal ids.

  Parameters:
    `internalIDs` - internal IDs of individuals.
  Returns:
    zero or more populations corresponding to _internalIDs.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(java.lang.String name)
                         throws AdaptorException

  Retrieves all individuals with the specified name. Individual names may be non-unique.

  Returns:
    zero or more Individuals with specified name.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(Population population)
                         throws AdaptorException

  Retrieves all individuals from a specified population

  Returns:
    zero or more Individuals from the specified population.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(Individual parent)
                         throws AdaptorException

  Retrieves all individuals which are children of a provided parent individual. This function operates under the assumptions that Male individuals can only be fathers, Female individuals can only be mothers and Unknown individuals can only be one or the other - not both.

  Returns:
    zero or more children of the specified parent.
  Throws:
    `AdaptorException`

### fetchPopulations

    public java.util.List fetchPopulations(Individual individual)
                                    throws AdaptorException

  Fetch the populations that the individual belongs to.

  Parameters:
    `individual` - individual to fetch populations
  Returns:
    zero or more Populations that _individual_ belongs to.
  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD